<?php

namespace common\logic\Order\Order\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Order\Order\Service\OrderDefinition;

class OrderRepositoryQuery extends AbstractRepositoryQuery
{
    protected OrderDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(OrderDefinition::class);
    }
}