<?php

namespace common\logic\PointSale\UserPointSale\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\PointSale\UserPointSale\Model\UserPointSale;
use common\logic\PointSale\UserPointSale\Service\UserPointSaleDefinition;
use yii\db\ActiveQuery;

class UserPointSaleRepositoryQuery extends AbstractRepositoryQuery
{
    protected UserPointSaleDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(UserPointSaleDefinition::class);
    }
}