<?php

namespace common\logic\Product\Product\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Product\Product\Service\ProductDefinition;

class ProductRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductDefinition::class);
    }
}